> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Stablecoin Agreement Status

> Checks whether a role has an active agreement for a given terms version; self or admin only.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /platform/get-stablecoin-agreement-status
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/get-stablecoin-agreement-status:
    get:
      operationId: getStablecoinAgreementStatus
      summary: Get Stablecoin Agreement Status
      description: >-
        Checks whether a role has an active agreement for a given terms version;
        self or admin only.


        Not available to API keys.
      parameters:
        - name: roleInOrgID
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: termsVersion
          in: query
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetStablecoinAgreementStatusResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetStablecoinAgreementStatusResponse:
      type: object
      properties:
        hasAccepted:
          type: boolean
        currentTermsVersion:
          type: string
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
